# Class LearnerSyncRequest

java.lang.Object
org.apache.zookeeper.server.Request
org.apache.zookeeper.server.quorum.LearnerSyncRequest

public class LearnerSyncRequest extends Request

## Field Summary

### Fields inherited from class Request

`authInfo, cnxn, commitProcQueueStartTime, commitRecvTime, createTime, cxid, prepQueueStartTime, prepStartTime, qv, requestOfDeath, requestThrottleQueueTime, sessionId, syncQueueStartTime, type, zxid`

## Constructor Summary

Constructors
Constructor
Description
`LearnerSyncRequest(LearnerHandler fh, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)`

## Method Summary

### Methods inherited from class Request

`getConnection, getException, getHdr, getLargeRequestSize, getOwner, getSerializeData, getStaleConnectionCheck, getStaleLatencyCheck, getTxn, getTxnDigest, getUsersForAudit, isFromLearner, isLocalSession, isQuorum, isStale, isThrottlable, isThrottled, logLatency, logLatency, logLatency, logLatency, mustDrop, op2String, readRequestBytes, readRequestRecord, readRequestRecordNoException, requestDigest, setException, setHdr, setIsThrottled, setLargeRequestSize, setLocalSession, setOwner, setStaleConnectionCheck, setStaleLatencyCheck, setTxn, setTxnDigest, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LearnerSyncRequest

public LearnerSyncRequest(LearnerHandler fh, long sessionId, int xid, int type, RequestRecord request, List<Id> authInfo)